Delete reverse private endpoint
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Delete the reverse private endpoint with the specified ID.
DELETE
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickpipesReversePrivateEndpoints
/
{reversePrivateEndpointId}
Delete reverse private endpoint
curl --request DELETE \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints/{reversePrivateEndpointId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints/{reversePrivateEndpointId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints/{reversePrivateEndpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 400,
"error": "<string>"
}Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the service that owns the Reverse Private Endpoint.
ID of the reverse private endpoint to delete.
Last modified on July 2, 2026
Was this page helpful?
⌘I
Delete reverse private endpoint
